Index: main/manager.c
===================================================================
--- main/manager.c	(revision 102139)
+++ main/manager.c	(working copy)
@@ -2221,7 +2221,7 @@
 			"CoreRealTimeEnabled: %s\r\n"
 			"CoreCDRenabled: %s\r\n"
 			"CoreHTTPenabled: %s\r\n"
-			,
+			"\r\n",
 		        idText,
 			AMI_VERSION,
 			ast_get_version(), 
@@ -2265,7 +2265,7 @@
 			"CoreStartupTime: %s\r\n"
 			"CoreReloadTime: %s\r\n"
 			"CoreCurrentCalls: %d\r\n"
-			"",
+			"\r\n",
 			idText,
 			startuptime,
 			reloadtime,
@@ -2283,15 +2283,11 @@
 /*! \brief Send a reload event */
 static int action_reload(struct mansession *s, const struct message *m)
 {
-	const char *actionid = astman_get_header(m, "ActionID");
 	const char *module = astman_get_header(m, "Module");
 	int res = ast_module_reload(S_OR(module, NULL));
-	char idText[80] = "";
 
-	if (!ast_strlen_zero(actionid))
-		snprintf(idText, sizeof(idText), "ActionID: %s\r\n", actionid);
 	if (res == 2)
-		astman_append(s, "Response: Success\r\n%s", idText);
+		astman_send_ack(s, m, "Module Reloaded");
 	else
 		astman_send_error(s, m, s == 0 ? "No such module" : "Module does not support reload");
 	return 0;
